org.apache.olingo.client.api

## Interface ODataClient

- All Known Subinterfaces:
    EdmEnabledODataClient

      public interface ODataClient

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsyncRequestFactory` | `getAsyncRequestFactory()`
    `BatchRequestFactory` | `getBatchRequestFactory()`
    `ODataBinder` | `getBinder()`
    `Configuration` | `getConfiguration()`
    `CUDRequestFactory` | `getCUDRequestFactory()`
    `ClientODataDeserializer` | `getDeserializer(ContentType contentType)`
    `FilterFactory` | `getFilterFactory()`
    `InvokeRequestFactory` | `getInvokeRequestFactory()`
    `ClientObjectFactory` | `getObjectFactory()`
    `ODataReader` | `getReader()`
    `RetrieveRequestFactory` | `getRetrieveRequestFactory()`
    `SearchFactory` | `getSearchFactory()`
    `ODataSerializer` | `getSerializer(ContentType contentType)`
    `ODataServiceVersion` | `getServiceVersion()`
    `ODataWriter` | `getWriter()`
    `ODataMetadataValidation` | `metadataValidation()`
    `ODataPreferences` | `newPreferences()`
    `URIBuilder` | `newURIBuilder(String serviceRoot)`
    `ODataHeaders` | `newVersionHeaders()`

- - ### Method Detail

    - #### getServiceVersion

          ODataServiceVersion getServiceVersion()

    - #### newVersionHeaders

          ODataHeaders newVersionHeaders()

    - #### getConfiguration

          Configuration getConfiguration()

    - #### newPreferences

          ODataPreferences newPreferences()

    - #### getSerializer

          ODataSerializer getSerializer(ContentType contentType)

    - #### getWriter

          ODataWriter getWriter()

    - #### getInvokeRequestFactory

          InvokeRequestFactory getInvokeRequestFactory()

    - #### getDeserializer

          ClientODataDeserializer getDeserializer(ContentType contentType)

    - #### getReader

          ODataReader getReader()

    - #### getBinder

          ODataBinder getBinder()

    - #### newURIBuilder

          URIBuilder newURIBuilder(String serviceRoot)

    - #### getFilterFactory

          FilterFactory getFilterFactory()

    - #### getSearchFactory

          SearchFactory getSearchFactory()

    - #### getObjectFactory

          ClientObjectFactory getObjectFactory()

    - #### getAsyncRequestFactory

          AsyncRequestFactory getAsyncRequestFactory()

    - #### getRetrieveRequestFactory

          RetrieveRequestFactory getRetrieveRequestFactory()

    - #### getCUDRequestFactory

          CUDRequestFactory getCUDRequestFactory()

    - #### getBatchRequestFactory

          BatchRequestFactory getBatchRequestFactory()

    - #### metadataValidation

          ODataMetadataValidation metadataValidation()

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.